Index: in-bulletin/units/topics/topics_config.php
===================================================================
--- in-bulletin/units/topics/topics_config.php	(revision 13958)
+++ in-bulletin/units/topics/topics_config.php	(working copy)
@@ -401,7 +401,7 @@
 			            	'left_key_field' => 'PortalUserId',
 			            	'left_title_field' => 'Login',
 			            	'error_msgs' => Array ('invalid_option' => '!la_error_UserNotFound!'),
-			            	'required' => 1, 'default' => NULL,
+			            	'default' => NULL,
 						),
 			            'ResourceId'			=>	Array ('type' => 'int', 'default' => null),
 			            'TopicType'				=>	Array (
Index: in-commerce/units/products/products_config.php
===================================================================
--- in-commerce/units/products/products_config.php	(revision 13959)
+++ in-commerce/units/products/products_config.php	(working copy)
@@ -493,7 +493,7 @@
 					    'Type'					=>	Array ('type' => 'int', 'not_null' => 1, 'formatter' => 'kOptionsFormatter', 'use_phrases' => 1, 'options' =>Array (1=> 'la_product_tangible',  2=> 'la_product_subscription', 4=> 'la_product_downloadable', 3=> 'la_product_service'/*, 6=> 'la_gift_certificate', 5=> 'la_product_package'*/), 'not_null' => 1, 'default' => 1 ),
 					    'Modified'				=>	Array ('type' => 'int', 'formatter' => 'kDateFormatter', 'default' => '#NOW#'),
 					    'ModifiedById'			=>	Array ('type' => 'int', 'default' => NULL),
-					    'CreatedById'			=>	Array ('type' => 'int', 'default' => NULL),
+					    'CreatedById'			=>	Array ('type' => 'int', 'required' => 1, 'default' => NULL),
 					    'ResourceId'			=>	Array ('type' => 'int', 'default' => null),
 					    'CachedReviewsQty'		=>	Array ('type' => 'int', 'formatter' => 'kFormatter', 'format' => '%d', 'not_null' => 1, 'default' => 0),
 					    'InventoryStatus' => Array ('type' => 'int', 'formatter' => 'kOptionsFormatter', 'options' => Array (0 => 'la_Disabled', 1 => 'la_by_product', 2 => 'la_by_options'), 'use_phrases' => 1, 'not_null' => 1, 'default' => 0),
Index: in-commerce/units/products/products_event_handler.php
===================================================================
--- in-commerce/units/products/products_event_handler.php	(revision 13936)
+++ in-commerce/units/products/products_event_handler.php	(working copy)
@@ -59,18 +59,21 @@
 	 */
 	function OnBeforeItemCreate(&$event)
 	{
+		parent::OnBeforeItemCreate($event);
+
 		$object =& $event->getObject();
 
-		$product_approve_events = Array(2 => 'p:OnSubscriptionApprove',
-										4 => 'p:OnDownloadableApprove',
-										5 => 'p:OnPackageApprove');
+		$product_approve_events = Array(
+			2 => 'p:OnSubscriptionApprove',
+			4 => 'p:OnDownloadableApprove',
+			5 => 'p:OnPackageApprove'
+		);
 
 		$product_type = $object->GetDBField('Type');
 
 		$type_found = in_array($product_type, array_keys($product_approve_events) );
 
-		if($type_found && !$object->GetDBField('ProcessingData') )
-		{
+		if ($type_found && !$object->GetDBField('ProcessingData') ) {
 			$processing_data = Array('ApproveEvent' => $product_approve_events[$product_type] );
 			$object->SetDBField( 'ProcessingData', serialize($processing_data) );
 		}
Index: in-link/units/links/links_config.php
===================================================================
--- in-link/units/links/links_config.php	(revision 13960)
+++ in-link/units/links/links_config.php	(working copy)
@@ -463,7 +463,7 @@
 			            'CachedRating'		=>	Array ('type' => 'string', 'not_null' => 1, 'formatter' => 'kFormatter', 'default' => 0),
 			            'CachedVotesQty'	=>	Array ('type' => 'int', 'formatter' => 'kFormatter', 'not_null' => 1, 'default' => 0),
 			            'CachedReviewsQty'	=>	Array ('type' => 'int', 'not_null' => 1, 'default' => 0),
-			            'CreatedById'		=>	Array ('type' => 'int', 'formatter' => 'kLEFTFormatter', 'error_msgs' => Array ('invalid_option' => '!la_error_UserNotFound!'), 'options' => Array (USER_ROOT => 'root', USER_GUEST => 'Guest'), 'left_sql' => 'SELECT %s FROM '.TABLE_PREFIX.'PortalUser WHERE `%s` = \'%s\'', 'left_key_field' => 'PortalUserId', 'left_title_field' => 'Login', 'default' => NULL),
+			            'CreatedById'		=>	Array ('type' => 'int', 'formatter' => 'kLEFTFormatter', 'error_msgs' => Array ('invalid_option' => '!la_error_UserNotFound!'), 'options' => Array (USER_ROOT => 'root', USER_GUEST => 'Guest'), 'left_sql' => 'SELECT %s FROM '.TABLE_PREFIX.'PortalUser WHERE `%s` = \'%s\'', 'left_key_field' => 'PortalUserId', 'left_title_field' => 'Login', 'required' => 1, 'default' => NULL),
 			            'ModifiedById'		=>	Array ('type' => 'int', 'formatter' => 'kLEFTFormatter', 'error_msgs' => Array ('invalid_option' => '!la_error_UserNotFound!'), 'options' => Array (USER_ROOT => 'root', USER_GUEST => 'Guest'), 'left_sql' => 'SELECT %s FROM '.TABLE_PREFIX.'PortalUser WHERE `%s` = \'%s\'', 'left_key_field' => 'PortalUserId', 'left_title_field' => 'Login', 'default' => NULL),
 			            'Priority'			=>	Array ('type' => 'int', 'not_null' => 1, 'default' => 0),
 			            'Status'			=>	Array (
